#| -*-Scheme-*-

$Id: pack6001.scm,v 1.8 1993/10/16 17:56:21 gjr Exp $

Copyright (c) 1994-1995 Massachusetts Institute of Technology

This material was developed by the Scheme project at the Massachusetts
Institute of Technology, Department of Electrical Engineering and
Computer Science.  Permission to copy this software, to redistribute
it, and to use it for any purpose is granted, subject to the following
restrictions and understandings.

1. Any copy made of this software must include this copyright notice
in full.

2. Users of this software agree to make their best efforts (a) to
return to the MIT Scheme project any improvements or extensions that
they make, so that these may be included in future releases; and (b)
to inform MIT of noteworthy uses of this software.

3. All materials developed as a consequence of the use of this
software shall duly acknowledge such use, in accordance with the usual
standards of acknowledging credit in academic research.

4. MIT has made no warrantee or representation that the operation of
this software will be error-free, and MIT is under no obligation to
provide any services, by way of maintenance, update, or otherwise.

5. In conjunction with products arising from the use of this material,
there shall be no use of the name of the Massachusetts Institute of
Technology nor of any adaptation thereof in any advertising,
promotional, or sales literature without prior written consent from
MIT in each case. |#

;;;; File to generate a single loadable file for 6001 band

(define (pack-6001 output)
  (define (subsystem-directory place)
    (string-append (->namestring (system-library-directory-pathname ".."))
		   place))
  (define (load-option name)
    (string-append (->namestring (system-library-directory-pathname "options"))
		   name))
  (pack-binaries output
                 `((,(subsystem-directory "6001")
		    "make.com"
		    "6001.bco"
		    "6001.bld"
		    "nodefs.com"
		    "arith.com"
		    "edextra.com"
		    "floppy.com"
		    "picture.com"
		    "pic-reco.com"
		    "pic-read.com"
		    "pic-imag.com"
		    "pic-ops.com"))))
